var ready = function () {
	if ( document.body ) {
        if ( document.cookie.indexOf( "agc_verified_" + agc.age + "=" ) == -1 || agc.preview == 1 ) {
			// Setup viewport for agc screen
			let meta = document.querySelector('meta[name="viewport"]');
			if( meta === null ) {
				let setMeta = document.createElement('meta');
				setMeta.setAttribute('name', 'viewport'), setMeta.setAttribute('content', 'width=device-width, initial-scale=1.0');
				document.head.appendChild(setMeta);
			}
			else {
				meta.setAttribute('content', 'width=device-width, initial-scale=1.0');
			}

			document.documentElement.classList.add('agc_no_scroll');
			document.body.classList.add('agc_no_scroll');
			document.body.insertAdjacentHTML( "afterbegin", agc.screen );
		}

		// Don't call requestAnimationFrame() again
		return;
	}

	// If body isn't found, run ready() again at the next frame
	window.requestAnimationFrame(ready);
};

// Initialize ready() function
window.requestAnimationFrame(ready);
